Ingest event
POST
/v1/events/
Ingest a single event.
If an event with the same transaction_id already exists, returns the existing event.
This provides idempotent event ingestion. The Idempotency-Key header adds an
additional layer of deduplication on top of the existing transaction_id check.
Request Body required
Section titled “Request Body required ” EventCreate
object
transaction_id
required
Transaction Id
string
external_customer_id
required
External Customer Id
string
code
required
Code
string
timestamp
required
Timestamp
string format: date-time
properties
Properties
object
key
additional properties
any
Responses
Section titled “ Responses ”Successful Response
EventResponse
object
id
required
Id
string format: uuid
transaction_id
required
Transaction Id
string
external_customer_id
required
External Customer Id
string
code
required
Code
string
timestamp
required
Timestamp
string format: date-time
properties
required
Properties
object
key
additional properties
any
created_at
required
Created At
string format: date-time
Unauthorized – invalid or missing API key
Billable metric code does not exist
Rate limit exceeded